RMatch Struct Reference

`#include <re.h>`

## Data Fields

struct RBasic | basic
VALUE | str
struct rmatch * | rmatch
VALUE | regexp

## Detailed Description

Definition at line 46 of file re.h.

## Field Documentation

struct RBasic RMatch::basic

Definition at line 47 of file re.h.

VALUE RMatch::regexp

Definition at line 50 of file re.h.

Referenced by gc_mark_children().

struct rmatch* RMatch::rmatch

Definition at line 49 of file re.h.

VALUE RMatch::str

Definition at line 48 of file re.h.

Referenced by gc_mark_children().

The documentation for this struct was generated from the following file:

- include/ruby/re.h